SDL_UnlockSpinlock(3)

NAME
SDL_UnlockSpinlock - Unlock a spin lock by setting it to 0.

HEADER FILE
Defined in SDL3/SDL_atomic.h

SYNOPSIS
#include "SDL3/SDL.h"

void SDL_UnlockSpinlock(SDL_SpinLock *lock);

DESCRIPTION
Always returns immediately. Please note that spinlocks are dangerous if you don't know what you're doing. Please be careful using any sort of spinlock!

FUNCTION PARAMETERS

lock
    a pointer to a lock variable.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_LockSpinlock(3), •(3), SDL_TryLockSpinlock(3)